Description

- Even not performing any change on treatment regimen and hitting the button cancel, the confirmation dialog box informing that all

changes will be discarded is displayed.

For medicines, even making changes and hitting the button cancel this kind of dialog box has not been displayed. Should have

consistence between medicines and regimens processes.

- The title of the dialog box should be replaced from "Delete" to "What to do next?"

History

#1 - 08/12/2014 10:41 AM - Oleksii Kurasov

- Due date set to 08/13/2014

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

Really, partially resolved. For medicine it is no problem to determine changes, but regimen is complex object with phases and medication and to

determine changes is complex task.

Dialog boxes were improved.

#2 - 08/14/2014 11:59 AM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Please, change the label inside the dialog box to "All changes will be discarded."

#3 - 08/14/2014 12:17 PM - Luis Gustavo do Valle Bastos

Also, apply the same logic when hitting the "Red X" at the top right corner of the dialog box.

#4 - 08/14/2014 03:36 PM - Luis Gustavo do Valle Bastos

- File Label change reg.JPG added

See new attachment.

#5 - 08/14/2014 03:37 PM - Luis Gustavo do Valle Bastos

- File deleted (Label change reg.JPG)

#6 - 08/14/2014 03:37 PM - Luis Gustavo do Valle Bastos

- File Label change and logic for regimens.JPG added

#7 - 08/15/2014 08:04 AM - Oleksii Kurasov
- Due date changed from 08/13/2014 to 08/15/2014

- Status changed from Feedback to Resolved

As well as for Medicine dialog box

#8 - 08/15/2014 08:07 AM - Oleksii Kurasov

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#9 - 08/15/2014 11:07 AM - Luis Gustavo do Valle Bastos

- File Label change.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

I have checked with CPM editorial team here and they recommended this:

Change the current label "All current changes will be abandoned" to "Your changes will not be saved".

Applicable for both treatment regimens and medicines.

See file "Label change" attached.

#10 - 08/15/2014 11:26 AM - Oleksii Kurasov

- Due date changed from 08/15/2014 to 08/16/2014

- Status changed from Feedback to Resolved

#11 - 08/15/2014 11:31 AM - Oleksii Kurasov

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#12 - 08/15/2014 03:37 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.

Files

Dialog box issue for treatment regimen.JPG 62.3 KB 08/09/2014 Luis Gustavo do Valle Bastos

Label change and logic for regimens.JPG 84.7 KB 08/14/2014 Luis Gustavo do Valle Bastos

Label change.JPG 72.4 KB 08/15/2014 Luis Gustavo do Valle Bastos
